Package org.apache.lucene.sandbox.search

## Class ProfilerCollectorResult

- java.lang.Object
- - org.apache.lucene.sandbox.search.ProfilerCollectorResult

-     public class ProfilerCollectorResult
      extends Object

  Public class for profiled timings of the Collectors used in the search. Children CollectorResult's may be embedded inside of a parent CollectorResult

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProfilerCollectorResult​(String collectorName, String reason, Long time, List<ProfilerCollectorResult> children)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` |
    `List<ProfilerCollectorResult>` | `getProfiledChildren()` |
    `String` | `getReason()` |
    `long` | `getTime()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfilerCollectorResult

          public ProfilerCollectorResult​(String collectorName,
                                         String reason,
                                         Long time,
                                         List<ProfilerCollectorResult> children)

  - ### Method Detail

    - #### getTime

          public long getTime()

      Returns:
        the profiled time for this collector (inclusive of children)

    - #### getReason

          public String getReason()

      Returns:
        a human readable "hint" about what this collector was used for

    - #### getName

          public String getName()

      Returns:
        the lucene class name of the collector

    - #### getProfiledChildren

          public List<ProfilerCollectorResult> getProfiledChildren()

      Returns:
        a list of children collectors